EDIT - feature request #3533

Prefill nomenclatural reference information if possible
06/18/2013 04:13 PM - Andreas Mdller

Status: Closed Start date: 03/07/2022
Priority: New Due date: 03/14/2022
Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.31

Severity: normal

Description

When entering a nomenclatural reference for a taxon name which already has a defined author we may want to prefilter the list of
available references to those having the same author. Also the type of the reference may act as an additional filter.

As this is a feature of the old Berlin Model editor it is a requirement for Euro+Med migration. Therefore | chose this milestone.
related to #3983 (easier reference selection - Euro+Med sourcelD [DISCUSS]) and #3984

probably duplicate for #2055

Related issues:

Related to EDIT - task #2055: Improve Atrticle creation for nomenclatural refe... Rejected
Related to EDIT - feature request #3984: Easier reference selection - recentl... Closed
Has duplicate EDIT - feature request #3983: [DISCUSS] Easier reference select... Duplicate

Associated revisions

Revision 73649156 - 04/06/2017 12:26 PM - Katja Luther

fix #3533: prefill nomenclatural reference selection dialog with nomenclatural title of combination author

Revision 272079a3 - 01/17/2018 03:43 PM - Katja Luther

ref #3533: new method to get only references with dedicated author

Revision d984e66b - 03/09/2022 04:05 PM - Katja Luther

ref #3533: fix search for reference with author

Revision bddca639 - 03/10/2022 01:10 PM - Katja Luther

ref #3533: add method to search for reference from author with authorlD

Revision 07658be8 - 03/10/2022 01:28 PM - Katja Luther

ref #3533: add test for reference search with author id

Revision 138275e3 - 03/10/2022 02:00 PM - Katja Luther

adapt tests to existing authors

Revision d5af424c - 03/14/2022 11:46 AM - Katja Luther

ref #3533: use search for author id

History

#1 - 01/27/2014 12:09 PM - Andreas Miller

related to and possibly a duplicate of #3983 (easier referenz selection - Euro+Med sourcelD [DISCUSS])

It is related but not a duplicate,. #3983 is about sourceld, this ticket is about prefilling with nomenclatural author information. Also closely related is
#3984.
https://dev.e-taxonomy.eu/redmine/issues/3983
https://dev.e-taxonomy.eu/redmine/issues/3984
https://dev.e-taxonomy.eu/redmine/issues/2055
https://dev.e-taxonomy.eu/redmine/issues/3983
https://dev.e-taxonomy.eu/redmine/issues/3983
https://dev.e-taxonomy.eu/redmine/issues/3984

#2 - 08/18/2014 12:15 PM - Andreas Kohlbecker

- Keywords set to Euro+Med,Migration

#3 - 04/06/2017 12:29 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|73649f564b443d7e6ae1b849cd9b24db232fb8c2.

#4 - 04/06/2017 12:30 PM - Katja Luther
- Description updated
- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- Target version changed from Euro+Med Migration to Release 4.7

#5 - 05/04/2017 12:17 AM - Andreas Miiller

- Private changed from Yes to No

#6 - 05/10/2017 07:51 PM - Andreas Miuiller
- Related to feature request #3983: [DISCUSS] Easier reference selection - Euro+Med sourcelD added

#7 - 05/10/2017 07:51 PM - Andreas Miuller

- Related to task #2055: Improve Article creation for nomenclatural references added

#8 - 05/10/2017 07:53 PM - Andreas Miuller

- Description updated

#9 - 05/10/2017 08:09 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 80

Seems to work, but maybe also Eckhard should have a look as it is an E+M requirement.

Also the type of the reference may act as an additional filter. Seems not to be implemented yet, but maybe we should open a new ticket for it as
this is not strictly related. Semantics might be that all reference types that do not implement INomenclaturalReference should be filtered (all
types except Generic, Book, Book Section, Article and Section)

#10 - 06/06/2017 02:59 PM - Katja Luther
Hallo Katja,

diese Funktion sollte nur diejenigen Referenzen liefern, bei denen Greuter der alleinige Autor ist. Im Screenshot unten ist er einer von mehreren
Team-Autoren. Das ergibt keinen Sinn, denn dann mussten diese Autoren schon im Autorenfeld auftauchen. Oder aber die Referenz sollte z.B.
lauten "Greuter in Greuter & al." und misste auch so angezeigt werden.

Schonen Gru3 Eckhard

#11 - 02/21/2018 02:17 PM - Katja Luther

- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Eckhard von Raab-Straube

#12 - 03/04/2022 02:22 PM - Andreas Miiller

- Related to feature request #3984: Easier reference selection - recently used references added

#13 - 03/09/2022 02:45 PM - Andreas Miiller
- Related to deleted (feature request #3983: [DISCUSS] Easier reference selection - Euro+Med sourcelD)
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/73649f564b443d7e6ae1b849cd9b24db232fb8c2

#14 - 03/09/2022 02:46 PM - Andreas Miiller
- Has duplicate feature request #3983: [DISCUSS] Easier reference selection - Euro+Med sourcelD added

#15 - 03/10/2022 01:38 PM - Katja Luther
- Assignee changed from Eckhard von Raab-Straube to Andreas Miiller

- Target version changed from Release 4.7 to Release 5.45

Changed from matching of nomenclatural titleCache to matching of id of the author. Now only references of exact the same author are shown when
opening the nomenclatural reference selection dialog. Also added a test.

#16 - 03/11/2022 11:36 AM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.31

#17 - 03/11/2022 03:07 PM - Andreas Miiller
- Due date set to 03/14/2022
- Start date set to 03/07/2022

#18 - 03/14/2022 11:45 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

The search works again but it does not seem to use the new search via author id. It looks like the code for the TaxEditor is not yet commited.
Note: testdata on rem_conf_am are 2 authors with cache "Testlink" (1 is used by 3 refs, the other one by 1 ref)
#19 - 03/16/2022 09:40 AM - Katja Luther

- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#20 - 03/16/2022 12:53 PM - Katja Luther

Tested with nightly and it worked as expected. Please review.

#21 - 03/16/2022 06:02 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 80 to 100

works as expected
